List metadata on a file
To list all metadata instances on a file, call the API endpoint.curl -i -X GET "https://api.box.com/2.0/files/12345/metadata" \
-H "authorization: Bearer <ACCESS_TOKEN>"
await client.fileMetadata.getFileMetadata(file.id);
client.file_metadata.get_file_metadata(file.id)
await client.FileMetadata.GetFileMetadataAsync(fileId: file.Id);
try await client.fileMetadata.getFileMetadata(fileId: file.id)
client.getFileMetadata().getFileMetadata(file.getId())
BoxFile file = new BoxFile(api, "id");
Iterable<Metadata> metadataList = file.getAllMetadata();
for (Metadata metadata : metadataList) {
// Do something with the metadata.
}
file_metadata = client.file(file_id='11111').get_all_metadata()
for instance in file_metadata:
if 'foo' in instance:
print(f'Metadata instance {instance["id"]} has value "{instance["foo"]}" for foo')
BoxMetadataTemplateCollection<Dictionary<string, object>> metadataInstances = await client.MetadataManager
.GetAllFileMetadataTemplatesAsync(fileId: "11111");
client.files.getAllMetadata('11111')
.then(metadata => {
/* metadata -> {
entries:
[ { currentDocumentStage: 'Init',
'$type': 'documentFlow-452b4c9d-c3ad-4ac7-b1ad-9d5192f2fc5f',
'$parent': 'file_11111',
'$id': '50ba0dba-0f89-4395-b867-3e057c1f6ed9',
'$version': 4,
'$typeVersion': 2,
needsApprovalFrom: 'Smith',
'$template': 'documentFlow',
'$scope': 'enterprise_12345' },
{ '$type': 'productInfo-9d7b6993-b09e-4e52-b197-e42f0ea995b9',
'$parent': 'file_11111',
'$id': '15d1014a-06c2-47ad-9916-014eab456194',
'$version': 2,
'$typeVersion': 1,
skuNumber: 45334223,
description: 'Watch',
'$template': 'productInfo',
'$scope': 'enterprise_12345' },
{ Popularity: '25',
'$type': 'properties',
'$parent': 'file_11111',
'$id': 'b6f36cbc-fc7a-4eda-8889-130f350cc057',
'$version': 0,
'$typeVersion': 2,
'$template': 'properties',
'$scope': 'global' } ],
limit: 100 }
*/
});
This API does not support paging and it will always return all of the metadata
instances for this file.
List metadata on a folder
To list all metadata instances on any folder (except for the root folder), call the API endpoint.curl -i -X GET "https://api.box.com/2.0/folders/4353455/metadata" \
-H "authorization: Bearer <ACCESS_TOKEN>"
await client.folderMetadata.getFolderMetadata(folder.id);
client.folder_metadata.get_folder_metadata(folder.id)
await client.FolderMetadata.GetFolderMetadataAsync(folderId: folder.Id);
try await client.folderMetadata.getFolderMetadata(folderId: folder.id)
client.getFolderMetadata().getFolderMetadata(folder.getId())
BoxFolder file = new BoxFolder(api, "id");
Iterable<Metadata> metadataList = folder.getAllMetadata();
for (Metadata metadata : metadataList) {
// Do something with the metadata.
}
folder_metadata = client.folder(folder_id='22222').get_all_metadata()
for instance in folder_metadata:
if 'foo' in instance:
print(f'Metadata instance {instance["id"]} has value "{instance["foo"]}" for foo')
BoxMetadataTemplateCollection<Dictionary<string, object>> metadataInstances = await client.MetadataManager
.GetAllFolderMetadataTemplatesAsync(folderId: "11111");
client.folders.getAllMetadata('11111')
.then(metadata => {
/* metadata -> {
entries:
[ { currentDocumentStage: 'Init',
'$type': 'documentFlow-452b4c9d-c3ad-4ac7-b1ad-9d5192f2fc5f',
'$parent': 'folder_11111',
'$id': '50ba0dba-0f89-4395-b867-3e057c1f6ed9',
'$version': 4,
'$typeVersion': 2,
needsApprovalFrom: 'Smith',
'$template': 'documentFlow',
'$scope': 'enterprise_12345' },
{ '$type': 'productInfo-9d7b6993-b09e-4e52-b197-e42f0ea995b9',
'$parent': 'folder_11111',
'$id': '15d1014a-06c2-47ad-9916-014eab456194',
'$version': 2,
'$typeVersion': 1,
skuNumber: 45334223,
description: 'Watch',
'$template': 'productInfo',
'$scope': 'enterprise_12345' },
{ Popularity: '25',
'$type': 'properties',
'$parent': 'folder_11111',
'$id': 'b6f36cbc-fc7a-4eda-8889-130f350cc057',
'$version': 0,
'$typeVersion': 2,
'$template': 'properties',
'$scope': 'global' } ],
limit: 100 }
*/
});
This API does not support paging and it will always return all of the metadata
instances for this file. This API can not be used on the root folder with ID
0.